## org.biojava.ontology
Class RemoteTerm.Impl

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.ontology.AbstractTerm
              org.biojava.ontology.RemoteTerm.Impl

All Implemented Interfaces:
  java.io.Serializable, Annotatable, RemoteTerm, Term, Changeable

Enclosing interface:
  RemoteTerm

    public static final class RemoteTerm.Impl

extends AbstractTerm
implements RemoteTerm, java.io.Serializable

Simple in-memory implementation of a remote ontology term.

See Also:
  Serialized Form
For developers:
  This can be used to implement Ontology.importTerm

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.ontology.RemoteTerm
`RemoteTerm.Impl`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.ontology.Term
`ONTOLOGY`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`RemoteTerm.Impl(Ontology ontology, Term remoteTerm, java.lang.String name)`
`RemoteTerm.Impl(Ontology ontology, Term remoteTerm, java.lang.String name, java.lang.Object[] synonyms)`

Method Summary
`void` `addSynonym(java.lang.Object synonym)` Add a synonym for this term.
`Annotation` `getAnnotation()` Should return the associated annotation object.
`java.lang.String` `getDescription()` Return a human-readable description of this term, or the empty string if none is available.
`java.lang.String` `getName()` Return the name of this term.
`Ontology` `getOntology()` Return the ontology in which this term exists.
`Term` `getRemoteTerm()` Return the imported term
`java.lang.Object[]` `getSynonyms()` Return the synonyms for this term.
`void` `removeSynonym(java.lang.Object synonym)` Remove a synonym for this term.
`java.lang.String` `toString()`

Methods inherited from class org.biojava.ontology.AbstractTerm
`getChangeSupport`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### RemoteTerm.Impl

    public RemoteTerm.Impl(Ontology ontology,
                           Term remoteTerm,
                           java.lang.String name)

### RemoteTerm.Impl

    public RemoteTerm.Impl(Ontology ontology,
                           Term remoteTerm,
                           java.lang.String name,
                           java.lang.Object[] synonyms)

Method Detail

### addSynonym

    public void addSynonym(java.lang.Object synonym)

  Description copied from interface: `Term`
  Add a synonym for this term.

  Specified by:
    `addSynonym` in interface `Term`

### removeSynonym

    public void removeSynonym(java.lang.Object synonym)

  Description copied from interface: `Term`
  Remove a synonym for this term.

  Specified by:
    `removeSynonym` in interface `Term`

### getSynonyms

    public java.lang.Object[] getSynonyms()

  Description copied from interface: `Term`
  Return the synonyms for this term.

  Specified by:
    `getSynonyms` in interface `Term`

### getName

    public java.lang.String getName()

  Description copied from interface: `Term`
  Return the name of this term.

  Specified by:
    `getName` in interface `Term`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Term`
  Return a human-readable description of this term, or the empty string if none is available.

  Specified by:
    `getDescription` in interface `Term`

### getOntology

    public Ontology getOntology()

  Description copied from interface: `Term`
  Return the ontology in which this term exists.

  Specified by:
    `getOntology` in interface `Term`

### getRemoteTerm

    public Term getRemoteTerm()

  Description copied from interface: `RemoteTerm`
  Return the imported term

  Specified by:
    `getRemoteTerm` in interface `RemoteTerm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAnnotation

    public Annotation getAnnotation()

  Description copied from interface: `Annotatable`
  Should return the associated annotation object.

  Specified by:
    `getAnnotation` in interface `Annotatable`
  Returns:
    an Annotation object, never null